@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --bg-color: #fff;
  --text-color: #333;
}
@media (prefers-color-scheme: dark){
  :root{
    --bg-color: #333;
    --text-color: #fff;
  }
}
[data-theme='dark'] {
  --bg-color: #333;
  --text-color: #fff;
}
[data-theme='light'] {
  --bg-color: #fff;
  --text-color: #333;
}

body {
  background-color: var(--bg-color);
  color: var(--text-color);
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

div#root {
  min-height: 100vh;
}

@media (min-width: 768px) {
  .md\:table:where(:not(.table-zebra)) :where(thead, tbody, tfoot) :where(tr:last-child :where(th, td)) {
    border-bottom-width: 1px;
    --tw-border-opacity: 1;
    border-left-color: hsl(var(--b2, var(--b1)) / var(--tw-border-opacity));
  }
}

/*
we include classes here so that we can use them with tailwind modifiers
example: <div className="font-sm lg:font-large"></div>
*/
@layer utilities {
  .font-large {
    font-size: 20px;
  }
}

/*
default base styles for html elements
*/
@layer base {
  h1 {
    @apply text-2xl;
  }
}
